/
/ Ungetc.
/

	.globl	ungetc

/
/ Ungetc(c, ioptr);
/ char c;
/ FILE *ioptr;
/

ungetc:
	jsr	r0,__csav
	mov	12(r5),r0
	mov	14(r5),r4

	cmp	V_UGET(r4),$-1
	bne	0f
	mov	r0,V_UGET(r4)
	jmp	__cret

0:
	iot
